## org.openorb.policy
Class ProfilePriorityEntry

    java.lang.Object
      |
      +--org.openorb.policy.ProfilePriorityEntry

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ProfilePriorityEntry
extends java.lang.Object
implements IDLEntity

Struct definition : ProfilePriorityEntry

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte` `priority` Struct member priority
`int` `tag` Struct member tag

Constructor Summary
`ProfilePriorityEntry()` Default constructor
`ProfilePriorityEntry(int tag, byte priority)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public int tag

  Struct member tag

### priority

    public byte priority

  Struct member priority

Constructor Detail

### ProfilePriorityEntry

    public ProfilePriorityEntry()

  Default constructor

### ProfilePriorityEntry

    public ProfilePriorityEntry(int tag,
                                byte priority)

  Constructor with fields initialization
  Parameters:
    `tag` - tag struct member
    `priority` - priority struct member